<script setup lang="ts">
const icons1 = ['mdi-facebook']
const icons2 = ['mdi-twitter']
const icons3 = ['mdi-linkedin']
const icons4 = ['mdi-instagram']
</script>

<template>
  <v-layout
    class="rounded rounded-md"
    style="height: 100%; overflow: hidden; display: flex; flex-direction: column"
  >
    <v-footer class="flex-column bg-black" style="flex-shrink: 0">
      <v-table style="width: 100%; font-size: medium">
        <div
          class="footer-content bg-indigo-lighten-1 text-center d-flex flex-column"
          style="flex-shrink: 0"
        >
          <v-row>
            <v-col
              ><v-icon v-for="icon in icons1" :key="icon">{{ icon }}</v-icon></v-col
            >
            <v-col>facebook</v-col>
          </v-row>
          <v-row>
            <v-col
              ><v-icon v-for="icon in icons2" :key="icon">{{ icon }}</v-icon></v-col
            >
            <v-col>twitter</v-col>
          </v-row>
          <v-row>
            <v-col
              ><v-icon v-for="icon in icons3" :key="icon">{{ icon }}</v-icon></v-col
            >
            <v-col>linkedin</v-col>
          </v-row>
          <v-row>
            <v-col
              ><v-icon v-for="icon in icons4" :key="icon">{{ icon }}</v-icon></v-col
            >
            <v-col>instagram</v-col>
          </v-row>

          <v-divider></v-divider>

          <div>{{ new Date().getFullYear() }} — <strong>Dcoffee</strong></div>
        </div>
      </v-table>
    </v-footer>
  </v-layout>

  <!--//////////////////////////-->
</template>

<style scoped>
.footer-container {
  position: sticky;
  bottom: 0;
  width: 100%;
  height: auto;
  padding: 5px;
  background-color: rgb(142, 223, 255);
}
</style>
